package com.css.simulation.resource.server.infra.feign.fallback;

import api.common.pojo.common.ResponseBodyVO;
import com.css.simulation.resource.server.infra.feign.service.AlgoPlatformService;
import org.springframework.stereotype.Service;
import org.springframework.web.bind.annotation.RequestBody;

@Service
public class AlgoPlatformServiceFallback implements AlgoPlatformService {
    @Override
    public ResponseBodyVO<String> getAlgorithmList(String param) {
        return new ResponseBodyVO<>(ResponseBodyVO.Response.SERVER_FAILURE);
    }

    @Override
    public ResponseBodyVO<String> selectAlgorithmNameByAlgorithmId(@RequestBody String algorithmId) {
        return new ResponseBodyVO<>(ResponseBodyVO.Response.SERVER_FAILURE);
    }
}
